import java.util.ArrayList;
import java.util.Scanner;


import java.io.*;

public class EcrireFichierObjets {
    public static void main(String[] args)  {
        if (args.length!=1) {
          System.out.println("argument nom_de_fichier !");
          System.exit(0);
        }
        Fichier fichier= new Fichier(args[0]);
        if (fichier.ecrirePossible()) {
          try {
            ObjectOutputStream flotEcriture = 
                new ObjectOutputStream(
                   new FileOutputStream(fichier));
            System.out.println("combien de points ?");
            Scanner clavier = new Scanner(System.in);
            int combien= clavier.nextInt();
            double x,y;
            ArrayList<Point> lesPoints = new ArrayList();
            for (int i=0; i<combien; i++) {
              System.out.println("donnez un point\n"
                                +"x y\n");
              x = clavier.nextDouble();
              y = clavier.nextDouble();
              lesPoints.add(new Point(x,y));
            }  
            flotEcriture.writeObject(lesPoints);
            flotEcriture.close();
          } catch (IOException e) {
            System.out.println(" erreur :" + e.toString());
          }   
        } else
          System.out.println(args[0]+" "
                             +fichier.proprietes());
     }
}
