import java.io.*;
import java.util.*;

public class LireFichierObjets {
  public static void main(String[] args)  {
     if (args.length!=1) {
       System.out.println("argument nom_de_fichier !");
       System.exit(0);
     }
     Fichier fichier= new Fichier(args[0]);
     if (!fichier.lirePossible()) {
       System.out.println(args[0]
             +" "+fichier.proprietes());
       System.exit(0);
     }
     try {
       ObjectInputStream flotLecture = 
             new ObjectInputStream(
                new FileInputStream(fichier));
       Object lu = flotLecture.readObject();
       if (lu instanceof ArrayList) {
         ArrayList<Point> lesPoints = (ArrayList<Point>)lu;
         for (int i=0; i<lesPoints.size(); i++) {
           Object elem = lesPoints.get(i);
           if (elem instanceof Point) 
             System.out.println("Point "
                      +((Point)elem).toString());
         }
         flotLecture.close();
       }
       else {
         System.out.println("erreur de type");
         System.exit(1);
       }
     } catch (Exception e) {
       System.out.println(" erreur :" +e.toString());
     }    
  }
}